Bug 997617 - NUFA: When disk gets full, files are distributed across cluster deviating from NUFA behavior
NUFA: When disk gets full, files are distributed across cluster deviating fro...
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: glusterfs (Show other bugs)
2.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Amar Tumballi
Sudhir D
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-15 15:31 EDT by Sachidananda Urs
Modified: 2013-12-18 19:09 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-23 14:27:23 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachidananda Urs 2013-08-15 15:31:32 EDT
Description of problem:

On a distribute cluster with NUFA, upon the disk getting full the files are distributed across the cluster deviating from NUFA behavior.

Shouldn't the client be reporting ENOSPACE? Is this the expected behavior?

Version-Release number of selected component (if applicable):

lusterfs 3.4.0.19rhs built on Aug 14 2013 00:11:42

How reproducible:

Always

Steps to Reproduce:
1. Create a distribute volume and switch on nufa
2. Mount from one of the servers and write till disk is full
3. Observe that data is written on other servers as well.
Comment 2 Amar Tumballi 2013-08-23 14:27:23 EDT
NUFA doesn't override all the behavior of DHT, its just 'tries' to create the file locally as long as possible, if the disks are getting full, then it won't continue to write the file locally.

Note You need to log in before you can comment on or make changes to this bug.